Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class SnapshotAwareM2Resolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.URLResolver
                          org.apache.ivy.plugins.resolver.IBiblioResolver
                              org.codehaus.groovy.grails.resolve.SnapshotAwareM2Resolver

    public class SnapshotAwareM2Resolver
    extends org.apache.ivy.plugins.resolver.IBiblioResolver

Fixes the broken snapshot support in IBiblioResolver.

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.IBiblioResolver
DEFAULT_PATTERN, DEFAULT_ROOT, DEFAULT_M2_ROOT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Fields inherited from class org.apache.ivy.plugins.resolver.URLResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Constructor Summary
`SnapshotAwareM2Resolver()`

Method Summary
`org.apache.ivy.plugins.resolver.util.ResolvedResource` | `findArtifactRef(org.apache.ivy.core.module.descriptor.Artifact artifact, java.util.Date date)`
`org.apache.ivy.plugins.resolver.util.ResolvedResource` | `findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor dd, org.apache.ivy.core.resolve.ResolveData data)`

Methods inherited from class org.apache.ivy.plugins.resolver.IBiblioResolver
org.apache.ivy.plugins.resolver.IBiblioResolver#getTypeName(), org.apache.ivy.plugins.resolver.IBiblioResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.IBiblioResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.IBiblioResolver#setPattern(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#getPattern(), org.apache.ivy.plugins.resolver.IBiblioResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.IBiblioResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File), org.apache.ivy.plugins.resolver.IBiblioResolver#getRoot(), org.apache.ivy.plugins.resolver.IBiblioResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.IBiblioResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.IBiblioResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.IBiblioResolver#listOrganisations(), org.apache.ivy.plugins.resolver.IBiblioResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.IBiblioResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.IBiblioResolver#dumpSettings(), org.apache.ivy.plugins.resolver.IBiblioResolver#isUsepoms(), org.apache.ivy.plugins.resolver.IBiblioResolver#setUsepoms(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#isUseMavenMetadata(), org.apache.ivy.plugins.resolver.IBiblioResolver#setUseMavenMetadata(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#setRoot(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.IBiblioResolver#ensureConfigured(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.IBiblioResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#getRepository(), org.apache.ivy.plugins.resolver.IBiblioResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.IBiblioResolver#setRepository(org.apache.ivy.plugins.repository.Repository), org.apache.ivy.plugins.resolver.IBiblioResolver#setSigner(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#isAlwaysCheckExactRevision(), org.apache.ivy.plugins.resolver.IBiblioResolver#setAlwaysCheckExactRevision(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.IBiblioResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.IBiblioResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.IBiblioResolver#isM2compatible(), org.apache.ivy.plugins.resolver.IBiblioResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.IBiblioResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.IBiblioResolver#toString(), org.apache.ivy.plugins.resolver.IBiblioResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.IBiblioResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.IBiblioResolver#isForce(), org.apache.ivy.plugins.resolver.IBiblioResolver#setForce(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.IBiblioResolver#reportFailure(), org.apache.ivy.plugins.resolver.IBiblioResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.IBiblioResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.IBiblioResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.IBiblioResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.IBiblioResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#isAllownomd(), org.apache.ivy.plugins.resolver.IBiblioResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#getName(), org.apache.ivy.plugins.resolver.IBiblioResolver#validate(), org.apache.ivy.plugins.resolver.IBiblioResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#getSettings(), org.apache.ivy.plugins.resolver.IBiblioResolver#getNamespace(), org.apache.ivy.plugins.resolver.IBiblioResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#isValidate(), org.apache.ivy.plugins.resolver.IBiblioResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.IBiblioResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.IBiblioResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.IBiblioResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.IBiblioResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#getEventManager(), org.apache.ivy.plugins.resolver.IBiblioResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#getParserSettings(), org.apache.ivy.plugins.resolver.IBiblioResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.IBiblioResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.IBiblioResolver#getLatest(), org.apache.ivy.plugins.resolver.IBiblioResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.IBiblioResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.IBiblioResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.IBiblioResolver#wait(), org.apache.ivy.plugins.resolver.IBiblioResolver#wait(long), org.apache.ivy.plugins.resolver.IBiblioResolver#wait(long, int), org.apache.ivy.plugins.resolver.IBiblioResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.IBiblioResolver#hashCode(), org.apache.ivy.plugins.resolver.IBiblioResolver#getClass(), org.apache.ivy.plugins.resolver.IBiblioResolver#notify(), org.apache.ivy.plugins.resolver.IBiblioResolver#notifyAll()

Methods inherited from class org.apache.ivy.plugins.resolver.URLResolver
org.apache.ivy.plugins.resolver.URLResolver#getTypeName(), org.apache.ivy.plugins.resolver.URLResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.URLResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.URLResolver#getRepository(), org.apache.ivy.plugins.resolver.URLResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.URLResolver#dumpSettings(), org.apache.ivy.plugins.resolver.URLResolver#setRepository(org.apache.ivy.plugins.repository.Repository), org.apache.ivy.plugins.resolver.URLResolver#setSigner(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#isAlwaysCheckExactRevision(), org.apache.ivy.plugins.resolver.URLResolver#setAlwaysCheckExactRevision(boolean), org.apache.ivy.plugins.resolver.URLResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.URLResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.URLResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.URLResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.URLResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.URLResolver#isM2compatible(), org.apache.ivy.plugins.resolver.URLResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.URLResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.URLResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.URLResolver#toString(), org.apache.ivy.plugins.resolver.URLResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.URLResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.URLResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.URLResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.URLResolver#isForce(), org.apache.ivy.plugins.resolver.URLResolver#setForce(boolean), org.apache.ivy.plugins.resolver.URLResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.URLResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.URLResolver#reportFailure(), org.apache.ivy.plugins.resolver.URLResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.URLResolver#listOrganisations(), org.apache.ivy.plugins.resolver.URLResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.URLResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.URLResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.URLResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.URLResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.URLResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.URLResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.URLResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.URLResolver#isAllownomd(), org.apache.ivy.plugins.resolver.URLResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.URLResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getName(), org.apache.ivy.plugins.resolver.URLResolver#validate(), org.apache.ivy.plugins.resolver.URLResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getSettings(), org.apache.ivy.plugins.resolver.URLResolver#getNamespace(), org.apache.ivy.plugins.resolver.URLResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#isValidate(), org.apache.ivy.plugins.resolver.URLResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.URLResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.URLResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.URLResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.URLResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.URLResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.URLResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getEventManager(), org.apache.ivy.plugins.resolver.URLResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getParserSettings(), org.apache.ivy.plugins.resolver.URLResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.URLResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getLatest(), org.apache.ivy.plugins.resolver.URLResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.URLResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.URLResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.URLResolver#wait(), org.apache.ivy.plugins.resolver.URLResolver#wait(long), org.apache.ivy.plugins.resolver.URLResolver#wait(long, int), org.apache.ivy.plugins.resolver.URLResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.URLResolver#hashCode(), org.apache.ivy.plugins.resolver.URLResolver#getClass(), org.apache.ivy.plugins.resolver.URLResolver#notify(), org.apache.ivy.plugins.resolver.URLResolver#notifyAll()

Constructor Detail

### SnapshotAwareM2Resolver

    public SnapshotAwareM2Resolver()

Method Detail

### findArtifactRef

    @Override
    public org.apache.ivy.plugins.resolver.util.ResolvedResource findArtifactRef(org.apache.ivy.core.module.descriptor.Artifact artifact, java.util.Date date)

### findIvyFileRef

    @Override
    public org.apache.ivy.plugins.resolver.util.ResolvedResource findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor dd, org.apache.ivy.core.resolve.ResolveData data)

Groovy Documentation